> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # GetUsers POST https://api.voximplant.com/platform_api/GetUsers Shows the users of the specified account. Allowed roles: `Owner`, `Admin`, `Developer`, `Supervisor`, `User manager`. **Example request:** Get two first identities. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/users/get-users ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `application_id` (integer, required) — The application ID to filter - `application_name` (string, required) — The application name part to filter - `skill_id` (integer, optional) — The skill ID to filter - `excluded_skill_id` (integer, optional) — The excluded skill ID to filter - `acd_queue_id` (integer, optional) — The ACD queue ID to filter - `excluded_acd_queue_id` (integer, optional) — The excluded ACD queue ID to filter - `user_id` (integer, optional) — The user ID to filter - `user_name` (string, optional) — The user name part to filter - `user_active` (boolean, optional) — Whether the user is active to filter. Inactive users cannot log in to applications - `user_display_name` (string, optional) — The user display name part to filter - `with_skills` (boolean, optional, default: false) — Whether to get the bound skills - `with_queues` (boolean, optional, default: false) — Whether to get the bound queues - `acd_status` (list of string, optional) — The ACD status list separated by semicolons (;) to filter. The following values are possible: OFFLINE, ONLINE, READY, BANNED, IN_SERVICE, AFTER_SERVICE, TIMEOUT, DND - `showing_skill_id` (integer, optional) — The skill to show in the 'skills' field output - `count` (integer, optional, default: 20) — The max returning record count - `offset` (integer, optional, default: 0) — The first **N** records are skipped in the output - `order_by` (string, optional, default: user_name) — The following values are available: 'user_id', 'user_name' and 'user_display_name' - `return_live_balance` (boolean, optional, default: true) — Whether to get the user live balance ## Response ### 200 Successful response - `result` (list of UserInfoType, optional) — The UserInfoType records - `total_count` (integer, optional) — The total found user count - `count` (integer, optional) — The returned user count ## Types ### UserInfoType The [GetUsers] function result. - `user_id` (integer, optional) — The user ID - `user_name` (string, optional) — The user name - `user_display_name` (string, optional) — The display user name - `user_active` (boolean, optional) — Whether the user is active. Inactive users cannot log in to applications - `parent_accounting` (boolean, optional) — Whether the user uses the parent account's money, 'false' if the user has a separate balance - `live_balance` (double, optional) — The current user's money in the currency specified for the account. The value is the number rounded to 4 decimal places, and it changes during the calls, transcribing, purchases etc - `balance` (double, optional) — The current user's money in the currency specified for the account. The value is the number rounded to 4 decimal places. The parameter is the alias to live_balance by default. But there is a possibility to make the alias to fixed_balance: just to pass return_live_balance=false into the [GetAccountInfo] method - `fixed_balance` (double, optional) — The last committed balance which has been approved by billing's transaction - `user_custom_data` (string, optional) — The custom data - `applications` (list of ApplicationInfoType, optional) — The bound applications - `skills` (list of SkillInfoType, optional) — The bound skills - `acd_queues` (list of ACDQueueOperatorInfoType, optional) — The bound ACD queues - `acd_status` (string, optional) — The ACD operator status. The following values are possible: OFFLINE, ONLINE, READY, BANNED, IN_SERVICE, AFTER_SERVICE, TIMEOUT, DND - `acd_status_change_time` (string, optional) — Timestamp in YYYY-MM-DD HH:mm:ss format. The ACD status changing UTC date in 24-h format: YYYY-MM-DD HH:mm:ss - `created` (string, optional) — Timestamp in YYYY-MM-DD HH:mm:ss format. The user editing UTC date in 24-h format: YYYY-MM-DD HH:mm:ss - `modified` (string, optional) — Timestamp in YYYY-MM-DD HH:mm:ss format. The user editing UTC date in 24-h format: YYYY-MM-DD HH:mm:ss - `frozen` (boolean, optional) ### ApplicationInfoType The [GetApplications] function result. - `application_id` (integer, optional) — The application ID - `application_name` (string, optional) — The full application name - `modified` (string, optional) — Timestamp in YYYY-MM-DD HH:mm:ss format. The application editing UTC date in 24-h format: YYYY-MM-DD HH:mm:ss - `secure_record_storage` (boolean, optional) — Whether a secure storage for logs and records is enabled ### SkillInfoType The [GetSkills] function result. - `skill_id` (integer, optional) — The skill ID - `skill_name` (string, optional) — The skill name ### ACDQueueOperatorInfoType The 'acd_queues' element of the [GetUsers] function result. - `acd_queue_id` (integer, optional) — The ACD queue ID - `acd_queue_name` (string, optional) — The ACD queue name - `auto_link` (boolean, optional) — Whether the user is bound to the ACD queue in manual mode if false ## Examples **Request** ```json {} ``` **Response** ```json { "result": [ { "user_id": 101, "user_name": "jdoe", "user_display_name": "John Doe", "user_active": true, "balance": 15.75, "modified": "2024-04-20 09:15:42", "frozen": false }, { "user_id": 102, "user_name": "asmith", "user_display_name": "Alice Smith", "user_active": true, "balance": 8.5, "modified": "2024-04-19 16:47:10", "frozen": false } ], "total_count": 2, "count": 2 } ``` **SDK Code** ```python Example 1 import requests url = "https://api.voximplant.com/platform_api/GetUsers" querystring = {"application_id":"12345","application_name":"CustomerSupportApp","count":"2","offset":"0","order_by":"user_name"} payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript Example 1 const url = 'https://api.voximplant.com/platform_api/GetUsers?application_id=12345&application_name=CustomerSupportApp&count=2&offset=0&order_by=user_name'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Example 1 package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/GetUsers?application_id=12345&application_name=CustomerSupportApp&count=2&offset=0&order_by=user_name" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example 1 require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/GetUsers?application_id=12345&application_name=CustomerSupportApp&count=2&offset=0&order_by=user_name") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java Example 1 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/GetUsers?application_id=12345&application_name=CustomerSupportApp&count=2&offset=0&order_by=user_name") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php Example 1 request('POST', 'https://api.voximplant.com/platform_api/GetUsers?application_id=12345&application_name=CustomerSupportApp&count=2&offset=0&order_by=user_name', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Example 1 using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/GetUsers?application_id=12345&application_name=CustomerSupportApp&count=2&offset=0&order_by=user_name"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Example 1 import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetUsers?application_id=12345&application_name=CustomerSupportApp&count=2&offset=0&order_by=user_name")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```